İçeriğe geç

Gemini Omni Flash 1.1 Text to Video

Entegre et

Model kimliği google/gemini-omni-flash/v1.1/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/v1.1/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,80 800 API kredisi · ≈ ₽85,85 Bu sayfada çalıştır

API anahtarı al
Google Metinden Videoya 4K çıktıDudak senkronizasyonuHızlı3–10 s4k değerine kadar #stylized#transform#lipsync

Yerel ses içeren, 360p'den 4k'ye kadar seçilebilir çözünürlükle yalnızca metinden video oluşturmanın 1.1 sürümü

Google · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 88 / 20000

İstenen videoyu açıklayan metin.

aspect_ratio varsayılan 16:9

Çıktı videosunun en-boy oranı.

resolution varsayılan 720p

Çıktı videosu için kullanılan çözünürlük.

varsayılan 8

Saniye cinsinden ölçülen çıktı videosunun uzunluğu.

POST /run/google/gemini-omni-flash/v1.1/text-to-video?wait=20 fiyat → $0,80
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/v1.1/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Gemini Omni Flash 1.1 Text to Video hakkında

Yalnızca metin isteminden, referans medya olmadan bir video klibi oluşturur. İstemler 20000 karaktere kadar olabilir ve kamera hareketini doğal dille açıklayabilir. 16:9 veya 9:16, 360p, 720p, 1080p ya da 4k çözünürlük ve 3 ila 10 saniye arasında bir süre (varsayılan 8) seçin. Çıktı tek bir video nesnesidir.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
≤ 20.000 karakter
İstenen videoyu açıklayan metin.
aspect_ratioisteğe bağlı
Türenum
Varsayılan16:9
16:99:16
Çıktı videosunun en-boy oranı.
resolutionisteğe bağlı
Türenum
Varsayılan720p
360p720p1080p4k
Çıktı videosu için kullanılan çözünürlük.
durationisteğe bağlı
Türinteger
Varsayılan8
3 – 10
Saniye cinsinden ölçülen çıktı videosunun uzunluğu.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash/v1.1/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 800,
    "usd": "0.80",
    "charged": 800,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size}Model tarafından üretilen video.

Daha fazla model: Metinden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/google/gemini-omni-flash/v1.1/text-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt